# SPDX-License-Identifier: MIT
%global source_version 4.025
%global source_release 6

%global forge_url    https://github.com/alexeiva/Raleway
%global forge_commit 98add575720aa077b7d253477e26c463a55e71da

%global default_fonts_foundry      Impallari
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt *.md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Raleway
%global fonts_summary            Raleway, an elegant sans-serif font family
%global fonts_fonts              fonts/TTF/*ttf
%global fonts_experimental_confs 58-%{fonts_name}.xml
%global fonts_description        %{expand:
Raleway is an elegant sans-serif font family intended for headings and other
large size usage.

It features both old style and lining numerals, standard and discretionary
ligatures, a pretty complete set of diacritics, as well as a stylistic
alternate inspired by more geometric sans-serif typefaces than its
neo-grotesque inspired default character set.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documents/*

%auto_init
%auto_pkg

%sourcelist
%auto_sources
58-%{fonts_name}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .
%linuxtext %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-6.20200310git98add57
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-5.20200310git98add57
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-4.20200310git98add57
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-3.20200310git98add57
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-2.20200310git98add57
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Tue Mar 10 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.025-1.20200310git98add57.fc33
✅ Convert to fonts-rpm-macros use

* Sun Mar 12 2017 Fabio Valentini <decathorpe@gmail.com> - 3.0-1.git20161116.6c67ab1
- Initial package.
